package cn.com.liandisys.ycjt.ggcx.cityevent.controller;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import cn.com.liandisys.ycjt.ggcx.cityevent.model.CityEvent;
import cn.com.liandisys.ycjt.ggcx.cityevent.service.CityEventService;
import cn.com.liandisys.ycjt.ggcx.common.util.MessageUtil;

/**
 * 
 * 项目名称：ycjt-ggcx    
 * 类名称：CityEventController    
 * 类描述：   城市公路事件
 * 创建人：zhangyn    
 * 创建时间：2017年5月2日 下午2:23:40    
 * 修改人：zhangyn    
 * 修改时间：2017年5月2日 下午2:23:40    
 * 修改备注：    
 * @version     
 *
 */
@Controller
public class CityEventController {

    private Logger logger = LoggerFactory.getLogger(CityEventController.class);

    @Autowired
    private CityEventService cityEventService;

    @RequestMapping(value = "getCityEventList.do")
    @ResponseBody
    public Map<String, Object> getCityEventList(Model model) {

        Map<String, Object> retMap = new HashMap<String, Object>();
        try {
            // 根据条件取得结果集
            List<CityEvent> cityEventList = cityEventService.getCityEventList();
            retMap.put("result", cityEventList);
            return MessageUtil.buildResponseMap(true, retMap);
        } catch (Exception e) {
            logger.error(e.getMessage(), e);
            return MessageUtil.buildResponseMap(false, MessageUtil.buildSystemErrorMessage(e), retMap);
        }
    }
}
